:root {
	--musta: #000000;
	--valkoinen: #FFFFFF;
	--harmaa: #d0d0d0;
	--sininen: #005dab;
	--tummansininen: #12395a;
	--vihrea: #1e7a73;
	--vaaleansininen: #74c6eb;
	--ruskea: #b85a20;
}

html, body {
	margin: 0;
	font-size: 18px;
	font-family: "Sora", sans-serif;
	font-optical-sizing: auto;
	font-weight: 400;
	font-style: normal;
}

h1, h2, h3, h4, h5, h6 {
    word-break: break-word;
    overflow-wrap: break-word;
	font-weight: 700;
    /*-webkit-hyphens: auto;
    -moz-hyphens: auto;
    -ms-hyphens: auto;
    hyphens: auto;*/
}

.kehys {
	width: 1400px;
	margin-left: auto;
	margin-right: auto;
	box-sizing: border-box;
	max-width: 100%;
}

.rivi {
	display: flex;
	flex-wrap: wrap;
	box-sizing: border-box;
}

.solu {
	display: block;
	box-sizing: border-box;
}

.solu12 {
	width: 100%;
}

.solu11 {
	width: calc(100% / 12 * 11);
}

.solu10 {
	width: calc(100% / 1.2);
}

.solu9 {
	width: 75%;
}

.solu8 {
	width: calc(100% / 1.5);
}

.solu7 {
	width: calc(100% / 12 * 7);
}

.solu6 {
	width: 50%;
}

.solu5 {
	width: calc(100% / 2.4);
}

.solu4 {
	width: calc(100% / 3);
}

.solu3 {
	width: 25%;
}

.solu2 {
	width: calc(100% / 6);
}

.solu1 {
	width: calc(100% / 12);
}

.ylahuomio {
    display: block;
    background: var(--sininen);
    color: var(--valkoinen);
    text-align: center;
    display: flex;
    justify-content: center;
    font-size: 0.9rem;
    padding-left: 1rem;
    padding-right: 1rem;
}

.ylahuomio a {
    margin: 0;
    display: flex;
    color: var(--valkoinen);
    padding: 0.4rem 0.7rem 0.4rem 0rem;
    justify-content: center;
    align-items: center;
    background: url(images/ikoni_nuoli_oikea.png);
    background-position: center right;
    background-size: 0.35rem auto;
    background-repeat: no-repeat;
}

a {
    color: var(--sininen);
    text-decoration: none;
    transition: 0.25s color;
}

.ylahuomio a::before {
    display: block;
    content: '';
    background: url(images/ikoni_tahti.png);
    width: 20px;
    height: 20px;
    background-size: 100% auto;
    background-position: center;
    background-repeat: no-repeat;
    margin-right: 0.4rem;
}

.ylahuomio a:hover {
	text-decoration: underline;
}

.ylapalkki .kehys {
    width: 1780px;
    padding: 0 2rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 100%;
}

a.paalogo {
    display: block;
    width: 260px;
    max-width: 100%;
}

img {
    max-width: 100%;
    height: auto;
}

nav.paavalikko {
    display: block;
    width: 100%;
    border-top: 1px solid var(--harmaa);
}

.ylapalkki_oikea {
    display: flex;
    align-items: center;
    gap: 2rem;
    justify-content: flex-end;
}

.headernostot {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    font-size: 0.65rem;
    text-transform: uppercase;
    text-align: center;
    padding: 1.5rem 0;
}

.headernostot > a {
    display: block;
    border-left: 1px solid var(--harmaa);
    padding: 0.7rem 0.8rem;
    opacity: 1.0;
    transition: 0.25s opacity;
}

.headernostot > a:hover {
    opacity: 0.6;
}

.headernostot > a img {
    display: block;
    margin: 0 auto;
    width: 30px;
    height: 30px;
    object-fit: contain;
    object-position: center;
    margin-bottom: 0.7rem;
}

nav.paavalikko ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0;
}

.ylapalkki_oikea form.hakupalkki {
    display: grid;
    grid-template-columns: 1fr 40px;
    gap: 5px;
    width: 350px;
    max-width: 50%;
}

.ylapalkki_oikea form.hakupalkki input[type="submit"] {
    width: 40px;
    height: 40px;
    display: block;
    border: 0;
    background-color: var(--sininen);
    background-image: url(images/ikoni_haku.png);
    background-position: center;
    background-size: 50% auto;
    background-repeat: no-repeat;
    text-indent: -9999px;
    cursor: pointer;
    transition: 0.25s background-color;
}

.ylapalkki_oikea form.hakupalkki input[type="text"] {
    display: block;
    height: 40px;
    border: 0;
    background: #e3e3e3;
    box-sizing: border-box;
    font-family: inherit;
    font-size: 0.9rem;
    padding: 0.5rem 0.7rem;
    width: 100%;
}

.ylapalkki_oikea form.hakupalkki input[type="submit"]:hover {
    background-color: var(--ruskea);
}

nav.paavalikko ul ul.sub-menu {
    display: block;
    position: absolute;
    top: 100%;
    left: 1rem;
    background: var(--sininen);
    min-width: calc(100% - 2rem);
    white-space: nowrap;
    transition: 0.25s transform;
    transform: scaleY(0);
    transform-origin: top center;
    z-index: 10;
}

nav.paavalikko ul > li > a {
    display: block;
    font-weight: 500;
    padding: 1.25rem 2.5rem;
}

nav.paavalikko ul > li:hover > a {
	color: var(--ruskea);
}

nav.paavalikko ul > li.menu-item-has-children > a {
    padding-right: 3.25rem;
    background: url(images/ikoni_nuoli_alas.png);
    background-position: center right 2rem;
    background-repeat: no-repeat;
    background-size: 0.75rem auto;
}

li.menu-item-has-children {
    position: relative;
}

nav.paavalikko ul.sub-menu > li > a {
    padding: 0.5rem 1.5rem;
    font-size: 0.9em;
    color: var(--valkoinen);
    background: var(--sininen);
    transition: 0.25s background;
}

nav.paavalikko ul.sub-menu > li > a:hover {
	background: var(--ruskea);
}

nav.paavalikko ul.sub-menu > li:first-child > a {
    padding-top: 1rem;
}

nav.paavalikko ul.sub-menu > li:last-child > a {
    padding-bottom: 1rem;
}

nav.paavalikko ul li:hover > ul.sub-menu {
    transform: scaleY(1.0);
    transition: 0.5s transform;
}

section.isohero {
    display: block;
    background: url(images/shutterstock_2755728033.jpg);
    background-size: cover;
    background-position: center top 15%;
    margin-bottom: 4rem;
    padding-top: 16rem;
}

.herolaatikko {
    display: block;
    position: relative;
    width: 420px;
    background: var(--tummansininen);
    color: var(--valkoinen);
    z-index: 1;
    padding: 0 10px 2rem 10px;
}

.herolaatikko::before {
    content: '';
    position: absolute;
    top: -5rem;
    left: -3.5rem;
    width: calc(100% + 7rem);
    bottom: -4rem;
    background: var(--tummansininen);
    z-index: 0;
}

.herolaatikko > * {
    z-index: 2;
    position: relative;
}

h1, h2 {
    font-size: 2.5rem;
}

a.nappula {
    display: inline-block;
    background-color: var(--ruskea);
    color: var(--valkoinen);
    text-transform: uppercase;
    font-size: 1rem;
    padding: 1rem 4rem 1rem 1.5rem;
    background-image: url(images/ikoni_nuoli_oikea.png);
    background-position: center right 1rem;
    background-repeat: no-repeat;
    background-size: auto 40%;
    transition: 0.25s background;
}

.herolaatikko a.nappula {
    display: block;
    margin-top: 2rem;
}

p {
    font-size: inherit;
    line-height: 1.75em;
}

.herolaatikko p {
    width: 78%;
    display: block;
}

a.nappula:hover {
    background-color: var(--musta);
}

h2 {}

.etusivusisalto {
    display: block;
    padding-right: 735px;
    padding-top: 4rem;
    padding-bottom: 1rem;
    background: url(images/navis_engineering_product_pic_main_1500_1272.png);
    background-position: top right;
    background-size: auto 93%;
    background-repeat: no-repeat;
    box-sizing: border-box;
    max-width: 100%;
}

.paasisalto_nappulat {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 1rem;
    padding-right: 6rem;
    padding-top: 1rem;
    align-items: center;
}

.nosto {
    display: block;
    width: 1550px;
    max-width: 100%;
    margin: 6rem auto;
}

.nostokuvalla {
    display: flex;
    justify-content: flex-end;
    padding-top: 3rem;
    padding-bottom: 10rem;
    position: relative;
}

.nostokuvalla_data {
    display: block;
    background: var(--vihrea);
    color: var(--valkoinen);
    width: 500px;
    padding: 4.5rem 4rem;
    box-sizing: border-box;
    position: relative;
    z-index: 2;
}

.nostokuvalla_data h2 {
    margin: 0;
}

.nostokuva_img {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    right: 350px;
    bottom: 0;
    background-size: cover !important;
    background-position: center !important;
}

.mittarit {
    background: var(--tummansininen);
    color: var(--valkoinen);
    padding: 7rem 0;
}

.mittarit > .kehys {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

.mittarit_ala {
    display: block;
    width: 100%;
    text-align: center;
    margin-top: 4rem;
}

.mittarit_vasen {
    display: block;
    width: 30%;
}

.mittarit_oikea {
    display: grid;
    width: 70%;
    grid-template-columns: 1fr 1fr 1fr;
    text-align: center;
    padding-left: 4rem;
    box-sizing: border-box;
}

.yksi_mittari {
    display: block;
    border-left: 1px solid var(--valkoinen);
    padding: 2rem;
}

.yksi_mittari:first-child {
    border: 0;
}

.yksi_mittari img {
    display: block;
    width: 100px;
    height: 100px;
    object-fit: contain;
    object-position: center;
    margin: 0 auto 2rem auto;
}

.yksi_mittari h3 {
    color: var(--vaaleansininen);
    font-size: 3rem;
    font-weight: 500;
    margin: 0;
}

.yksi_mittari p {
    margin: 1rem 0 0 0;
}

.mittarit_vasen > *:first-child,
.referenssit_vasen > *:first-child {
    margin-top: 0;
}

.mittarit_vasen > *:last-child,
.referenssit_vasen > *:last-child {
    margin-bottom: 0;
}

.vasen .nostokuva_img {
    left: 350px;
    right: 0;
}

.nostokuvalla.vasen {
    justify-content: flex-start;
}

.puhekuplat > .kehys {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 5rem;
}

.puhekupla_sisalto {
    display: block;
    padding: 3.3rem 7.1rem 7.8rem 3.3rem;
    background: url(images/puhekupla.png);
    background-size: 90% 90%;
    font-size: 1rem;
    position: relative;
    background-position: center;
    background-repeat: no-repeat;
}

.puhekupla_sisalto p {
    margin: 0;
}

.puhekupla_sisalto::after {
    position: absolute;
    bottom: 8.3rem;
    right: 3rem;
    width: 3.5rem;
    height: 3.5rem;
    background: url(images/ikoni_peukku.png);
    content: '';
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}

.puhekupla_sisalto+p {
    text-align: center;
}

.puhekuplat {
    display: block;
    margin-bottom: 8rem;
}

.referenssit {
    display: block;
    background: var(--tummansininen);
    color: var(--valkoinen);
    padding-top: 6rem;
    padding-bottom: 6rem;
    margin-bottom: 10rem;
}

.referenssit > .kehys {
    display: grid;
    grid-template-columns: 35% 65%;
    align-items: center;
}

.referenssit_vasen {
    display: block;
    padding-right: 10rem;
}

.referenssit_oikea {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1.5rem;
}

article.yksi_referenssi {
    display: block;
}

article.yksi_referenssi a {
    display: block;
    background: var(--ruskea);
    color: var(--valkoinen);
    transition: 0.25s background;
}

article.yksi_referenssi img {
    display: block;
    width: 100%;
    height: auto;
    opacity: 1.0;
    transition: 0.25s opacity;
}

article.yksi_referenssi h3 {
    color: var(--valkoinen);
    font-weight: 400;
    font-size: 1rem;
    padding: 1.75rem 6rem 1.75rem 2rem;
    margin: 0;
}

article.yksi_referenssi a:hover {
    background: var(--musta);
}

article.yksi_referenssi a:hover img {
    opacity: 0.7;
}

.kiinnostuitko {
    display: block;
    background: var(--vihrea);
    color: var(--valkoinen);
    padding-top: 3rem;
    padding-bottom: 3rem;
}

.kiinnostuitko > .kehys {
    display: grid;
    grid-template-columns: 40% 60%;
    align-items: center;
}

.kiinnostuitko_oikea {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
}

.kiinnostuitko_oikea > * {
    border-left: 1px solid var(--valkoinen);
    padding: 2rem;
    text-align: center;
    color: var(--valkoinen);
    opacity: 1.0;
    transition: 0.25s opacity;
}

.kiinnostuitko_oikea > *:first-child {
    border: 0;
}

.kiinnostuitko_oikea img {
    display: block;
    width: 60px;
    height: 60px;
    object-fit: contain;
    object-position: center;
    margin: 0 auto 1.5rem auto;
}

.kiinnostuitko_oikea > *:hover {
    opacity: 0.5;
}

.kiinnostuitko_vasen h2 {
    margin: 0;
}

footer.alapalkki {
    display: block;
    margin-top: 7rem;
    margin-bottom: 10rem;
}

.alapalkki_vasen img {
    display: block;
    width: 200px;
    margin-bottom: 3rem;
    max-width: 100%;
}

footer.alapalkki > .kehys {
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.alapalkki_vasen {
    display: block;
    padding-right: 19rem;
}

.alapalkki_oikea {
    display: block;
    padding-left: 12rem;
}

.alapalkki_oikea ul {
    list-style: none;
    margin: 0;
    padding: 0;
    border-bottom: 1px solid var(--harmaa);
}

.alapalkki_oikea ul li {
    display: block;
    border-top: 1px solid var(--harmaa);
    padding: 1rem;
}

.alapalkki_oikea ul li a {
    padding-right: 1rem;
    background: url(images/ikoni_nuoli_oikea_harmaa.png);
    background-position: center right;
    background-repeat: no-repeat;
    background-size: 0.6rem auto;
}

.alapalkki_oikea ul li a:hover {
    color: var(--ruskea);
}

@media screen and (max-width: 1600px) {
    html, body {
	    font-size: 17px;
    }
}

@media screen and (max-width: 1500px) {
    html, body {
        font-size: 16px;
    }

    nav.paavalikko ul > li > a {
        padding-left: 2rem;
        padding-right: 2rem
    }

    nav.paavalikko ul > li.menu-item-has-children > a {
        padding-right: 3.25rem;
    }

    .herolaatikko::before {
        left: 0;
    }

    .herolaatikko {
        padding-left: 3rem;
    }

    .kehys {
        padding-left: 2rem;
        padding-right: 2rem;
    }

    nav.paavalikko ul > li > a {
        padding-left: 1rem;
        padding-right: 1rem;
    }

    nav.paavalikko ul > li.menu-item-has-children > a {
        padding-right: 1.75rem;
        background-position: center right 0.75rem;
    }
}

@media screen and (max-width: 1300px) {
    .mittarit_vasen {
        width: 40%;
    }

    .mittarit_oikea {
        width: 60%;
        padding-left: 2rem;
    }

    .yksi_mittari {
        padding: 1rem;
    }

    .puhekuplat > .kehys {
        gap: 2rem;
    }

    .referenssit > .kehys {
        grid-template-columns: 45% 55%;
    }
}

@media screen and (max-width: 1200px) {
    .ylapalkki_oikea form.hakupalkki {
        max-width: 40%;
        box-sizing: border-box;
    }

    .etusivusisalto {
        padding-right: 40%;
        background-size: 30% auto;
        background-position: center right;
    }

    nav.paavalikko {
        font-size: 0.8rem;
    }

    .yksi_mittari h3 {
        font-size: 2rem;
    }

    .puhekupla_sisalto {
        padding-bottom: 10rem;
    }

    .puhekupla_sisalto::after {
        bottom: 10rem;
    }
}

@media screen and (max-width: 1000px) {  
    .ylapalkki .kehys {
        display: block;
    }

    a.paalogo {
        margin: 2rem auto;
    }

    .ylapalkki_oikea {
        display: block;
    }

    .ylapalkki_oikea form.hakupalkki {
        width: 500px;
        max-width: 80%;
        margin: 0 auto;
    }

    .headernostot {
        justify-content: center;
    }

    .headernostot > a {
        width: 140px;
        max-width: calc(100% / 3);
    }

    nav.paavalikko ul {
        display: block;
    }

    nav.paavalikko ul ul.sub-menu {
        position: relative;
        transform: none;
        left: 0;
        display: none;
    }

    .herolaatikko {
        width: 100%;
        box-sizing: border-box;
        padding-right: 3rem;
    }

    .herolaatikko::before {
        left: 0;
        width: 100%;
    }

    section.isohero {
        padding-top: 50vh;
    }

    .etusivusisalto {
        padding-right: 0;
        padding-top: 30%;
        background-position: top center;
        margin-top: 8rem;
    }

    .paasisalto_nappulat, .paasisalto_nappulat > a.nappula {
        display: block;
    }

    .paasisalto_nappulat > a.nappula {
        margin: 0.5rem 0;
    }

    .paasisalto_nappulat {
        padding: 0;
    }

    .nostokuvalla_data {
        max-width: 90%;
        margin: 0 auto;
    }

    .nostokuvalla {
        padding-top: 5rem;
        padding-bottom: 5rem;
    }

    .nostokuva_img, .vasen .nostokuva_img {
        right: 0;
        left: 0;
    }

    .mittarit > .kehys {
        display: block;
    }

    .mittarit_vasen {
        width: 100%;
        text-align: center;
    }

    .mittarit_oikea {
        padding-left: 0;
        margin-top: 3rem;
        width: 100%;
    }

    .puhekuplat > .kehys {
        display: block;
    }

    .puhekupla {
        display: block;
        width: 400px;
        max-width: 100%;
        margin: 0 auto 3rem auto;
    }

    .referenssit > .kehys {
        display: block;
    }

    .referenssit_vasen {
        text-align: center;
        padding: 0 0 4rem 0;
    }

    .referenssit_oikea {
        display: block;
    }

    article.yksi_referenssi {
        width: 500px;
        max-width: 100%;
        margin: 0 auto 2rem auto;
    }

    .kiinnostuitko > .kehys {
        display: block;
    }

    .kiinnostuitko_vasen {
        display: block;
        text-align: center;
        margin-bottom: 2rem;
    }

    footer.alapalkki > .kehys {
        display: block;
    }

    .alapalkki_vasen {
        padding: 0 0 2rem 0;
        text-align: center;
    }

    .alapalkki_vasen img {
        margin-left: auto;
        margin-right: auto;
    }

    .alapalkki_oikea {
        width: 500px;
        padding: 0;
        margin: 0 auto;
        text-align: center;
        max-width: 100%;
    }

    .headernostot > a:first-child {
        border: 0;
    }

    .mobile_nav_toggle {
		display: block;
		width: 40px;
		box-sizing: border-box;
		cursor: pointer;
		padding: 0;
        margin: 0 auto 2rem;
	}

	.viiva1, .viiva2, .viiva3 {
		width: 40px;
		height: 6px;
		background-color: var(--sininen);
		margin: 6px 0;
		transition: 0.4s;
	}

	.avattu .viiva1 {
		-webkit-transform: rotate(-45deg) translate(-8px, 8px);
		transform: rotate(-45deg) translate(-8px, 8px);
	}

	.avattu .viiva2 {
		opacity: 0;
	}

	.avattu .viiva3 {
		-webkit-transform: rotate(45deg) translate(-9px, -8px);
		transform: rotate(45deg) translate(-9px, -8px);
	}

    nav.paavalikko {
        display: none;
    }
}

@media screen and (max-width: 800px) {
    .kiinnostuitko_oikea,
    .mittarit_oikea {
        display: block;
    }

    .kiinnostuitko_oikea > *,
    .yksi_mittari {
        border-left: 0;
        border-top: 1px solid var(--harmaa);
    }

    .kiinnostuitko_oikea > * {
        display: block;
    }
}

@media screen and (max-width: 600px) {
    h1, h2 {
        font-size: 2rem;
    }

    .herolaatikko {
        padding-left: 2rem;
        padding-right: 2rem;
    }

    .nostokuvalla_data {
        padding: 2rem;
    }

    .headernostot {
        display: block;
    }

    .headernostot > a {
        width: 100%;
        max-width: 100%;
        border-left: 0;
        border-top: 1px solid var(--harmaa);
        box-sizing: border-box;
    }

    .puhekupla_sisalto {
        padding-right: 2.5rem;
        padding-bottom: 15rem;
        padding-left: 2.5rem;
    }
}